Page MenuHomePhabricator

Set $wgCentralAuthPreventUnattached = true; on mediawiki.org
Closed, ResolvedPublic

Description

Split from T70069.

https://www.mediawiki.org/wiki/Special:Log/Rothbard registered today to use phabricator, but got «To use Connected Apps on this site, you must have an account across all projects. When you have an account on all projects, you can try to connect "phabricator-production" again.».

The drawbacks explained at T70069 are not as important for mediawiki.org, and we can't force non-Wikimedia users of MediaWiki to deal with Wikimedia projects username conflicts just to file a bug. We can at least avoid that new registrations encounter the problem, by making them register a username that can be used in phabricator.

Event Timeline

Nemo_bis created this task.Nov 27 2014, 3:00 PM
Nemo_bis raised the priority of this task from to Normal.
Nemo_bis updated the task description. (Show Details)
Nemo_bis changed Security from none to None.
Nemo_bis added subscribers: Unknown Object (MLST), Legoktm, MF-Warburg and 13 others.
revi added a subscriber: revi.Nov 29 2014, 6:38 AM

Change 177660 had a related patch set uploaded (by Legoktm):
Set $wgCentralAuthPreventUnattached = true on mediawiki.org

https://gerrit.wikimedia.org/r/177660

Patch-For-Review

Change 177660 merged by jenkins-bot:
Set $wgCentralAuthPreventUnattached = true on mediawiki.org

https://gerrit.wikimedia.org/r/177660

Legoktm closed this task as Resolved.Dec 5 2014, 12:25 AM
Legoktm claimed this task.

Deployed and verified.